Name:		libutvideo
Version:	11.1.0
Release:	1%{?dist}
Summary:	UT Video Codec

Group:		System Environment/Libraries
License:	GPLv2
URL:		http://umezawa.dyndns.info/wordpress/
Source0:	http://umezawa.dyndns.info/archive/utvideo/utvideo-%{version}-src.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

#BuildRequires:	
#Requires:	

%description
UT Video Codec

%prep
%setup -q -n utvideo-%{version}
	sed -i 's#prefix=/usr/local$#prefix=/usr#g;' GNUmakefile
%ifarch x86_64
	sed -i \
	-e 's#/lib$#/lib64$#g;' \
	-e 's#Wno-sign-compare$#Wno-sign-compare -fPIC -DPIC -m64#g;' \
	GNUmakefile
%endif

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc gplv2* readme*
%{_includedir}/utvideo/*
%{_libdir}/libutvideo.a

%changelog
* Fri Jul 13 2012 momo-i <webmaster@momo-i.org> 11.1.0-1
- Update 11.1.0

* Tue May 08 2012 momo-i <webmaster@momo-i.org> 11.0.0-1
- Initial rpm release.
